#--------------------------------------------------------------------------------------
# kugel_3.py
#--------------------------------------------------------------------------------------
# Eine Kugel rollt auf der Leinwand. Wenn sie an eine Seite stößt, prallt sie
# ab und rollt weiter.
# Das wird als "Film" durch aufeinanderfolgende Bilder angezeigt.
# Von der Kommandozeile werden zwei floats x_schrittweite und y_schrittweite
# (Änderung dr x- bzw. y-Koordinate der Kugel in einem Schritt) sowie 
# ein int anzeigedauer (Anzeigezeit jedes Bildes in ms) gelesen.
#-------------------------------------------------------------------------------------
import sys, stddraw, random

x_schrittweite = float(sys.argv[1]) 
y_schrittweite = float(sys.argv[2])
anzeigedauer = int(sys.argv[3])

# Die Kugel startet an einer zufällig gewählten Position auf der Leinwand.
# Der Punkt (x_pos,y_pos) ist die aktuelle Position der Kugel.
x_pos = random.random()
y_pos = random.random()

# Leinwandgröße sowie Größe und Farbe der Kugel werden eingestellt.
stddraw.setCanvasSize(800,800)
stddraw.setPenColor(stddraw.RED)
RADIUS = 0.05  

# Die Bewegung entsteht, indem aufeinanderfolgende Bilder gezeigt werden,
# bei denen die Kugel jedesmal ein kleines Stück weitergerollt ist.
# Das wird erreicht, indem x_schrittweite zu x_pos und y_schrittweite zu y_pos addiert wird.
# Wenn die Kugel an eine Seite prallt, wird das Vorzeichen der entsprechenden
# Schrittweite geändert.
while True:
    # Falls die Kugel an die rechte oder linke Seite prallt, dann ändere ihre x-Richtung.
    if x_pos>=1.0 or x_pos<=0.0:  x_schrittweite = -x_schrittweite
    # Falls die Kugel an die untere oder obere Seite prallt, dann ändere ihre y-Richtung.
    if y_pos>=1.0 or y_pos<=0.0:  y_schrittweite = -y_schrittweite
    # Bestimme die nächste Position der Kugel.
    x_pos = x_pos + x_schrittweite
    y_pos = y_pos + y_schrittweite
    # Lösche die Leinwand, male die Kugel auf ihrer neuen Position und zeige die Leinwand an.
    stddraw.clear(stddraw.YELLOW)
    stddraw.filledCircle(x_pos, y_pos, RADIUS)
    stddraw.show(anzeigedauer)

#-------------------------------------------------------------------------------
# python3 kugel_3.py 0.005 0.008 25
#
# python3 kugel_3.py 0.005 0.008  2
