#-------------------------------------------------------------------------------------
# filter-jahr.py
#-------------------------------------------------------------------------------------
# Von standard input wird eine Datei mit Wetterdaten vom DWD gelesen.
# Die Zeilen sind mit ';' aufgespaltet, 
# und in Spalte [1] steht an den ersten vier Stellen das Jahr.
# Das Programm liest int n von der Kommandozeile und schreibt für jede Zeile aus
# der DWD-Wetterdatei eine Zeile mit dem Jahr und dem Eintrag (str) in Spalte n.
# Einträge '-999' werden nicht ausgegeben. 
#-------------------------------------------------------------------------------------
import sys

# Lies n von der Kommandozeile. Spalte n soll ausgegeben werden.
n = int(sys.argv[1])   

sys.stdin.readline()   # Überspringe die erste Zeile von standard input.
                       # In der DWD-Datei stehen dort keine relevanten Daten.

# Gehe alle weiteren Zeilen von standard input durch.
for zeile in sys.stdin:
  # Trenne die Zeile an den ';'s in ihre Spalten auf.
  felder = str.split(zeile, ';')
  # Das Jahr des Messwerts steht in den ersten vier Zeichen von Spalte 1.
  jahr = felder[1][0:4]
  # Der auszugebende Messwert (string) steht in Spalte n.
  # Wir entfernen gleich "störende" Leerzeichen etc. am Anfang und am Ende.
  messwert = str.strip(felder[n])
  # Jahr und Messwert werden ausgegeben, falls der Messwert kein Fehl-Eintrag ist.
  if messwert != '-999':
    print( '%s %s' % (jahr, messwert) )

#-------------------------------------------------------------------------------------
# python3 filter-jahr.py 15 < Jena-Wetterdaten.txt > Jena-hoechst.txt

