#-----------------------------------------------------------------------------------------
# male_glatte_kurve.py
#-----------------------------------------------------------------------------------------
# Lies x0, x1, y0 und y1 von der Kommandozeile.
# Lies Wertepaare x,y von standard input
# und male sie als mit Strichen verbundene Punkte auf eine Leinwand
# mit x-Achse x0..x1 und y-Achse y0..y1. 
# Dabei wird die Linie geglättet, indem für jeden y-Wert der Durchschnitt seiner
# 9er-Nachbarschaft genommen wird.
#-----------------------------------------------------------------------------------------
import sys, stddraw

# Bereite die Leinwand und den Stift vor.
# Die Skalenbereiche der Achsen werden von der Kommandozeile gelesen.
stddraw.setXscale(float(sys.argv[1]), float(sys.argv[2]))
stddraw.setYscale(float(sys.argv[3]), float(sys.argv[4]))
stddraw.setPenRadius(0.04)

# Wir lesen zuerst alle Punkte von standard input.
# Wir schreiben alle x-Werte in ein Array x[], und alle y-Werte in ein Array y[].
# Dann ist (x[i],y[i]) jeweils ein Punkt.
xwerte = []
ywerte = []
for zeile in sys.stdin:
  punkt = str.split(zeile)
  xwerte += [ float(punkt[0]) ]
  ywerte += [ float(punkt[1]) ]

# Für jeden Punkt rechnen wir den y-Wert als Durchschnitt seiner y-Nachbarschaft
# der Größe 9 aus.
# Wir zeichnen jeweils einen Strich zwischen zwei aufeinanderfolgenden Punkten.
for i in range(4,len(xwerte)-5):
  stddraw.line( xwerte[i], sum(ywerte[i-4:i+5])/9, xwerte[i+1], sum(ywerte[i-3:i+6])/9 )

# Zeige das Bild an.
stddraw.show()

#-----------------------------------------------------------------------------------------
# python3 filter-jahr.py 15 < Jena-Wetterdaten.txt | python3 jahres_mittel.py  | \
#   python3 male_glatte_kurve.py 1820 2020 -1 20  
#
