#-----------------------------------------------------------------------------------------
# male_kurve.py
#-----------------------------------------------------------------------------------------
# Lies x0, x1, y0 und y1 von der Kommandozeile.
# Lies Wertepaare x,y von standard input
# und male sie als mit Strichen verbundene Punkte auf eine Leinwand
# mit x-Achse x0..x1 und y-Achse y0..y1. 
#-----------------------------------------------------------------------------------------
import sys, stddraw

# Bereite die Leinwand und den Stift vor.
# Die Skalenbereiche der Achsen werden von der Kommandozeile gelesen.
stddraw.setXscale(float(sys.argv[1]), float(sys.argv[2]))
stddraw.setYscale(float(sys.argv[3]), float(sys.argv[4]))
stddraw.setPenRadius(0.14)

# Wir lesen zuerst alle Punkte von standard input.
# Wir schreiben alle x-Werte in ein Array x[], und alle y-Werte in ein Array y[].
# Dann ist (x[i],y[i]) jeweils ein Punkt.
xwerte = []
ywerte = []
for zeile in sys.stdin:
  punkt = str.split(zeile)
  xwerte += [ float(punkt[0]) ]
  ywerte += [ float(punkt[1]) ]

# Wir zeichnen jeweils einen Strich zwischen zwei aufeinanderfolgenden Punkten.
# Da der letzte Punkt keinen "Nachfolger" hat, ist er kein Startpunkt eines Strichs.
for i in range(len(xwerte)-1):
  stddraw.line( xwerte[i], ywerte[i], xwerte[i+1], ywerte[i+1] )

# Zeige das Bild an.
stddraw.show()

#-----------------------------------------------------------------------------------------
# python3 filter-jahr.py 15 < Jena-Wetterdaten.txt | python3 jahres-mittel.py  | \
#   python3 male_kurve.py 1820 2020 -1 20  
#
