#-----------------------------------------------------------------------------------------
# male_punkte_A.py
#-----------------------------------------------------------------------------------------
# Lies x0, x1, y0 und y1 von der Kommandozeile.
# Lies Wertepaare x,y von standard input
# und male sie als Punkte auf eine Leinwand
# mit x-Achse x0..x1 und y-Achse y0..y1. 
#-----------------------------------------------------------------------------------------
import sys, stddraw

# Richte die Achsen der Leinwand ein und bereite den Stift vor.
# Die Skalenbereiche der Achsen werden von der Kommandozeile gelesen.
stddraw.setXscale(float(sys.argv[1]), float(sys.argv[2]))
stddraw.setYscale(float(sys.argv[3]), float(sys.argv[4]))
stddraw.setPenRadius(0.01)

# Standard input liefert zeilenweise x- und y-Werte von Punkten.
# Jeder dieser Punkte wird gemalt.
for zeile in sys.stdin:
  punkt = str.split(zeile)       # Die zuletzt von stdin gelesene Zeile wird in die beiden Koordinaten (string) geteilt.
  x_wert = float(punkt[0])       # Die Koordinaten werden von string- in float-Werte umgewandelt.
  y_wert = float(punkt[1])
  stddraw.point(x_wert, y_wert)  # Der Punkt mit den in der stdin-Zeile angegebenen Koordinaten wird gemalt.

# Zeige das Bild an.
stddraw.show()

#-----------------------------------------------------------------------------------------
# python3 filter-jahr-txk.py < Jena-Wetterdaten.txt | python3 jahres-mittel.py  | \
#   python3 male_punkte_A.py 1820 2020 -1 20  
#
# python3 filter-jahr.py 16 < Jena-Wetterdaten.txt | python3 jahres-mittel.py  | \
#   python3 male_punkte_A.py 1820 2020 -8 12
#






