#-----------------------------------------------------------------------------------------
# male_punkte_B.py
#-----------------------------------------------------------------------------------------
# Lies x0, x1, y0 und y1 von der Kommandozeile.
# Lies Wertepaare x,y von standard input, speichere sie in einem Array,
# und male alle Punkte auf eine Leinwand
# mit x-Achse x0..x1 und y-Achse y0..y1. 
#-----------------------------------------------------------------------------------------
import sys, stddraw

# Richte die Achsen der Leinwand ein und bereite den Stift vor.
# Die Skalenbereiche der Achsen werden von der Kommandozeile gelesen.
stddraw.setXscale(float(sys.argv[1]), float(sys.argv[2]))
stddraw.setYscale(float(sys.argv[3]), float(sys.argv[4]))
stddraw.setPenRadius(0.01)

# Standard input liefert zeilenweise x- und y-Werte von Punkten.
# Jeder dieser Werte wird einem Array der x-Werte bzw. in einem Array der y-Werte gespeichert.
xwerte = []
ywerte = []
for zeile in sys.stdin:          # Lies stdin zeilenweise ein.
  punkt = str.split(zeile)       # Jede Zeile wird in die beiden Koordinaten (string) geteilt.
  xwerte += [ float(punkt[0]) ]  # Die x-Koordinate wird an das Array der x-Werte angehängt.
  ywerte += [ float(punkt[1]) ]  # Die y-Koordinate wird an das Array der y-Werte angehängt.

for i in range(len(xwerte)):     # Alle Indizes mit x-Werten (und y-Werten) werden durchlaufen.
  stddraw.point(xwerte[i], ywerte[i])  # Jeder Punkt wird gemalt.

# Zeige das Bild an.
stddraw.show()

#-----------------------------------------------------------------------------------------
# python3 filter-jahr-txk.py < Jena-Wetterdaten.txt | python3 jahres-mittel.py  | \
#   python3 male_punkte_B.py 1820 2020 -1 20  
#
# python3 filter-jahr.py 16 < Jena-Wetterdaten.txt | python3 jahres-mittel.py  | \
#   python3 male_punkte_B.py 1820 2020 -8 12
#

