#------------------------------------------------------------------------------------------
# functiongraph.py (aus dem Buch)
#------------------------------------------------------------------------------------------
# Der Graph der Funktion f(x) = sin(4x)+sin(20x) wird im Intervall -pi/2..pi/2 gezeichnet.
# Von der Kommandozeile wird die Sampling-Dichte (d.h.
# die Anzahl der zu berechnenden Punkte) eingelesen.
# Anschließend werden die Punkte berechnet -- die x-Koordinate
# des i-ten Punkts wird in x_werte[i] gespeichert und die y-Koordinate in y_werte[i].  
# Anschließend werden Linien zwischen aufeinanderfolgenden Punkten gezeichnet.
#------------------------------------------------------------------------------------------

import math, sys, stddraw

# Lies n von der Kommandozeile 
# und erzeuge Arrays für die x-Werte und die y-Werte des Graph der Funktion f.
n = int(sys.argv[1])
x_werte = []
y_werte = []

# Berechne für n x-Werte, die gleichmäßig über das Intervall -pi/2..pi/2 verteilt sind,
# jeweils den zugehörigen y-Wert f(x)=sin(4x)+sin(20x).
# Die x_werte sind -pi/2, -pi/2+1*pi/(n-1), -pi/2+2*pi/(n-1),..., -pi/2+(n-1)*pi/(n-1) .
# Speichere den x-Wert in x_werte[] und den zugehörigen y-Wert in y_werte.
# Am Ende gilt f(x_werte[i])==y_werte[i] für i in range(n).
for i in range(n):
    x_werte += [ -math.pi/2 + i * math.pi/(n-1) ] 
    y_werte += [ math.sin(4*x_werte[i]) + math.sin(20*x_werte[i]) ]

# Richte die Leinwand ein.
stddraw.setXscale(-math.pi/2, math.pi/2)
stddraw.setYscale(-2, 2)
stddraw.setPenRadius(0.01)

# Male die Punkte und verbinde sie mit Strichen.
for i in range(n-1):
  stddraw.line(x_werte[i], y_werte[i], x_werte[i+1], y_werte[i+1])

# stddraw.save('functiongraph-'+str(n)+'.png')
# Zeige das Bild an.
stddraw.show()

#------------------------------------------------------------------------------------------
# python3 functiongraph.py 20
#
# python3 functiongraph.py 200


